package net.krakatoa.proxy.config;

import java.io.File;
import java.io.IOException;
import java.util.List;
import lombok.Getter;
import net.md_5.bungee.config.Configuration;
import net.md_5.bungee.config.ConfigurationProvider;
import net.md_5.bungee.config.YamlConfiguration;

@Getter
public class ConfigHandler {

  private String webSocketAccessKey;
  private String webSocketProtocol;
  private String webSocketHost;
  private int webSocketPort;
  private List<Long> webSocketAckTimeouts;

  private String webVoiceAddress;

  private String mongodbHost;
  private int mongodbPort;
  private String mongodbDatabase;
  private String mongodbUsername;
  private String mongodbPassword;

  public void load() throws IOException {
    Configuration configuration = ConfigurationProvider.getProvider(YamlConfiguration.class)
        .load(new File("/home/kra-minecraft/kraConfigs", "kraSettings.yaml"));

    webSocketAccessKey = configuration.getString("web_socket.access_key");
    webSocketProtocol = configuration.getString("web_socket.protocol");
    webSocketHost = configuration.getString("web_socket.host");
    webSocketPort = configuration.getInt("web_socket.port");
    webSocketAckTimeouts = configuration.getLongList("web_socket.ack_timeouts");

    webVoiceAddress = configuration.getString("web.voice_address");

    mongodbHost = configuration.getString("mongodb.host");
    mongodbPort = configuration.getInt("mongodb.port");
    mongodbDatabase = configuration.getString("mongodb.database");
    mongodbUsername = configuration.getString("mongodb.username");
    mongodbPassword = configuration.getString("mongodb.password");
  }
}
